%define fw_version 5.41

Summary:	KDE Frameworks 5 unit conversion module
Name:		kunitconversion
Version:	5.41.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	ki18n-devel >= %{version}
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Xml)

%description
KDE Frameworks 5 unit conversion module.

KUnitConversion provides functions to convert values in different physical
units. It supports converting different prefixes (e.g. kilo, mega, giga) as
well as converting between different unit systems (e.g. liters, gallons).

#----------------------------------------------------------------------------

%package i18n
Summary:	KUnitConversion translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KUnitConversion translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5unitconversion_major 5
%define libkf5unitconversion %mklibname kf5unitconversion %{kf5unitconversion_major}

%package -n %{libkf5unitconversion}
Summary:	KDE Frameworks 5 unit conversion shared library
Group:		System/Libraries
Requires:	%{name}-i18n

%description -n %{libkf5unitconversion}
KDE Frameworks 5 unit conversion shared library.

%files -n %{libkf5unitconversion}
%{_kde5_libdir}/libKF5UnitConversion.so.%{kf5unitconversion_major}*

#----------------------------------------------------------------------------

%define devkf5unitconversion %mklibname kf5unitconversion -d

%package -n %{devkf5unitconversion}
Summary:	Development files for KDE Frameworks 5 unit conversion module
Group:		Development/KDE and Qt
Requires:	%{libkf5unitconversion} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5unitconversion-devel = %{version}

%description -n %{devkf5unitconversion}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5unitconversion}
%{_kde5_includedir}/KF5/KUnitConversion
%{_kde5_includedir}/KF5/kunitconversion_version.h
%{_kde5_libdir}/cmake/KF5UnitConversion
%{_kde5_libdir}/libKF5UnitConversion.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt

%changelog

* Mon Dec 11 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.41.0-1
- (02c0568) New version 5.41.0

* Sun Sep 10 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.38.0-1
- (bc65ee4) New version 5.38.0

* Wed Jun 14 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.35.0-1
- (a05d8d9) New version 5.35.0

* Mon May 15 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.34.0-1
- (927e040) New version 5.34.0

* Sat Feb 04 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-3
- (9b640aa) MassBuild#1230: Increase release tag

* Thu Jan 26 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-2
- (ce08563) MassBuild#1210: Increase release tag

* Mon Jan 23 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.30.0-1
- (890def5) New version 5.30.0

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-2
- (f15ebe9) MassBuild#1169: Increase release tag

* Fri Oct 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.27.0-1
- (9d0672b) New version 5.27.0

* Sat Jul 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (ba9ea99) New version 5.24.0

* Sat Jun 18 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.23.0-1
- (dd4372b) New version 5.23.0

* Wed Apr 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-2
- (4767396) MassBuild#1017: Increase release tag

* Sun Apr 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.21.0-1
- (32e6fbb) New version 5.21.0

* Fri Apr 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-2
- (2ec2849) MassBuild#1000: Increase release tag

* Mon Mar 14 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.20.0-1
- (ee8edc0) New version 5.20.0

* Sat Feb 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.19.0-1
- (5163a6c) New version 5.19.0

* Mon Jan 11 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.18.0-1
- (98e1dda) New version 5.18.0

* Wed Dec 23 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.17.0-1
- (e66835f) New version 5.17.0

* Wed Nov 18 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-2
- (e6607eb) Bump release

* Tue Nov 17 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.16.0-1
- (203a089) New version 5.16.0

* Sun Oct 11 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.15.0-1
- (3d8a55f) New version 5.15.0

* Mon Sep 14 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.14.0-3
- (fac7905) MassBuild#822: Increase release tag

* Mon Sep 14 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.14.0-2
- (4638ca8) MassBuild#821: Increase release tag

* Sat Sep 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.14.0-1
- (8d3cad2) New version 5.14.0

* Wed Aug 12 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.13.0-1
- (2c42748) New version 5.13.0

* Mon Jul 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.12.0-1
- (319d960) New version 5.12.0

* Mon Jun 15 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.11.0-1
- (c77268c) New version 5.11.0

* Sat May 09 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.10.0-1
- (87ec8ac) New version 5.10.0

* Fri Apr 10 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.9.0-1
- (d375200) New version 5.9.0

* Wed Mar 25 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.8.0-1
- (d0808c2) New version 5.8.0


